Subject: Re: bug#64059: Sudden unexplained error during guix pull: "channel dependency has an invalid introduction field"

From: Simon Tournier <[email-masked]>
Date: Tue, 10 Sep 2024 17:04:41 +0200

Hi,

On Fri, 23 Jun 2023 at 01:37, "N. Y." <[email-masked]> wrote:

>>  I've purposefully added this new error to warn users that their
>>  .guix-channel's introduction forms were erroneous.  Previously, they
>>  were silently being dropped.  The formats in a channels.scm file and in
>>  the .guix-channel file are *not* the same!  Please see "(guix) Declaring
>>  Channel Dependencies" for an example of the format.

[...]

> Thank you so much for your help! Indeed, the .channels.scm files of my
> custom channels had invalid introduction fields. That's on me --- I
> should've read the error message more carefully!

Therefore closing.

Feel free to reopen if I have misunderstood.

Cheers,
simon